//variables for setup

var camera;
var renderer;
var scene;
var house;

function init() {

	//Create a scebe
	scene = new THREE.Scene();

	const fov = 45;
	const aspect = window.innerWidth / window.innerHeight;
	const near = 0.1;
	const far = 500;

	//camerasetup
	camera = new THREE.PerspectiveCamera( fov, aspect, near, far );
	camera.position.set( 0, 0, 10 );

	const ambient = new THREE.AmbientLight( 0xffffff, 0.4 );
	scene.add( ambient );

	const directionalLight = new THREE.DirectionalLight( 0xffffff, 0.8 );
	scene.add( directionalLight );

	//Rendere
	renderer = new THREE.WebGLRenderer( { antialias: true, alpha: true } );
	renderer.setSize( window.innerWidth, window.innerHeight );
	renderer.setPixelRatio( window.devicePixelRatio );

	document.body.appendChild( renderer.domElement );


	//Load Model
	var loader = new THREE.GLTFLoader();
	loader.load( './3d/scene.gltf', function ( gltf ) {

		scene.add( gltf.scene );
		house = gltf.scene;

	} );

}

function animate() {

	requestAnimationFrame( animate );
	if ( house ) house.rotation.z += 0.005;
	renderer.render( scene, camera );

}

init();
animate();
